<?php
	header('Content-Type:application/json');
/*
	Este es el fichero encargado de recibir las peticiones vía ajax 
	y las mandará al controlador RemoteRequest
	@version 1.0
*/
	//Arrancamos el core de webStore
	include('core/initWebStore.php');

	//Cualquier petición que nos hagan de forma remota debe llegar con la variable 'request'
	//Si no es así, no hacemos nada más:
	//echo json_encode(array('text' => 'hola mundo'));
	/*
	ob_start();
	var_dump(file_get_contents('php://input'));
	$test = ob_get_clean();
	echo json_encode($test);
/*
/*
	ob_start();
	$data = Getter::getJson();
	var_dump($data);
	$test = ob_get_clean();
	echo json_encode($test);;
*/
	$data = Getter::getJson();
	if ($data != NULL){
		//Con lo que tenga data, llamamos a la función que ejecutará la consulta:
		RemoteRequest::call($data);
	}
